Summary:	Library for OpenPGP prompts
Name:		libcryptui
Version:	3.1.4
Release:	1%{?_dist_release}
Source0:	%{name}-%{version}.tar.xz
License:	GPLv2
Group:		System Environment/Libraries
URL:		http://git.gnome.org/browse/libcryptui/

BuildRequires:	glib2-devel
BuildRequires:	GConf2-devel
BuildRequires:	gtk3-devel
BuildRequires:	gpgme-devel >= 1.0.0
BuildRequires:	libgnome-keyring-devel
BuildRequires:	libnotify-devel
BuildRequires:	libSM-devel
BuildRequires:	gnome-doc-utils >= 0.3.2

BuildRoot:	%{_tmppath}/%{name}-%{version}-root

Vendor: Project Vine
Distribution: Vine Linux
Packager: Takemikaduchi


%description
libcryptui is a library used for prompting for PGP keys. It's likely that this
library will become deprecated in the near future.


%package	devel
Summary:        Development tools for libcryptui
Summary(ja):    libcryptui の開発環境
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig

%description devel
Header files and libraries for building a extension library for the
libcryptui.


%package        doc
Summary:        Documentation for libcryptui
Summary(ja):    libcryptui 用のドキュメント
Group:          Documentation
Requires:       %{name} = %{version}-%{release}
BuildArch:	noarch


%description    doc
This package contains documentation for libcryptui.


%prep
%setup -q


%build
%configure --disable-static
%{__make} %{?_smp_mflags}


%install
%{__rm} -rf ${RPM_BUILD_ROOT}
%{__make} install DESTDIR=${RPM_BUILD_ROOT}

find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'

# conflict with seahorse
rm -rf $RPM_BUILD_ROOT%{_sysconfdir}
rm -rf $RPM_BUILD_ROOT%{_datadir}/locale

%clean
%{__rm} -rf ${RPM_BUILD_ROOT}


%files 
%defattr(-,root,root,-)
%doc COPYING ChangeLog NEWS README
%{_bindir}/seahorse-daemon
%{_libdir}/libcryptui.so.*
%{_libdir}/girepository-1.0/CryptUI-0.0.typelib
%{_datadir}/dbus-1/services/org.gnome.seahorse.service
%{_datadir}/pixmaps/seahorse/*/*
%{_datadir}/seahorse/ui/*.xml
%{_mandir}/man1/seahorse-daemon.1.gz

%files devel
%defattr(-,root,root,-)
%{_includedir}/libcryptui
%{_libdir}/libcryptui.so
%{_libdir}/pkgconfig/cryptui-0.0.pc
%{_datadir}/gir-1.0/CryptUI-0.0.gir

%files doc
%defattr(-,root,root,-)
%{_datadir}/gtk-doc/html/libcryptui


%changelog
* Tue Aug 16 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.1.4-1
- initial build for Vine Linux

